Skip to main content
GET
/
api
/
anomalies
List signal anomalies
curl --request GET \
  --url https://app.dacard.ai/api/anomalies \
  --cookie __session=
{
  "anomalies": [
    {
      "id": "<string>",
      "accountId": "<string>",
      "eventType": "<string>",
      "severity": "low",
      "detectedAt": "2023-11-07T05:31:56Z",
      "acknowledged": true,
      "granularity": "hour",
      "acknowledgedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

__session
string
cookie
required

Clerk session cookie. Authentication is handled by Clerk. Sign in at https://app.dacard.ai/sign-in to obtain a session.

Query Parameters

granularity
enum<string>

Optional granularity filter

Available options:
hour,
day
severity
enum<string>

Optional severity filter

Available options:
low,
medium,
high
limit
integer
default:50

Page size (default 50, max 200)

Required range: 1 <= x <= 200
cursor
string

Opaque pagination cursor from the previous response

Response

Anomaly list

anomalies
object[]
nextCursor
string | null

Pass to cursor on the next request to get the next page